专栏首页python3python2.6 升级为 2.7

python2.6 升级为 2.7

python2.6 升级为 2.7

CentOS 6.3自带的Python版本为2.6,首先需要升级到2.7版本。由于旧版本的Python已被深度依赖,所以不能卸载原有的Python,只能全新安装。

1.下载Python-2.7.4.tgz

wget http://python.org/ftp/python/2.7.4/Python-2.7.4.tgz

  1. 解压安装,命令如下:

1 tar -xvf Python-2.7.4.tgz 2 cd Python-2.7.4 3 ./configure --prefix=/usr/local/python2.7 4 make 5 make install

  1. 创建链接来使系统默认python变为python2.7

1 mv /usr/bin/python /usr/bin/python.old 2 ln -s /usr/local/python2.7/bin/python2.7 /usr/bin/python

  1. 查看Python版本

python –V

问题:可能yum无法使用,因为yum是基于python的 解决:先看python的路径:whereis python 记住第二个路径 再看which yum 到yum文件下修改解释器为 刚才记住的路径

本文参与腾讯云自媒体分享计划,欢迎正在阅读的你也加入,一起分享。

我来说两句

0 条评论
登录 后参与评论

相关文章

  • Cent OS7安装Python 2.7

        这种安装方式为在系统原基础上进行编译安装python2.7.15不废话,直接开始主题。

    py3study
  • Python-基础-day2

    Python环境的安装                                                                     ...

    py3study
  • LINUX CENTOS7下安装PYTH

    Centos7默认安装了python2.7.5 因为一些命令要用它比如yum 它使用的是python2.7.5。

    py3study
  • Python-基础-day2

    Python环境的安装                                                                     ...

    py3study
  • Cent OS7安装Python 2.7

        这种安装方式为在系统原基础上进行编译安装python2.7.15不废话,直接开始主题。

    py3study
  • LINUX CENTOS7下安装PYTH

    Centos7默认安装了python2.7.5 因为一些命令要用它比如yum 它使用的是python2.7.5。

    py3study
  • Python 2.6.6升级到Pytho

    6. 解决升级python后yum无法使用的问题(yum不兼容python2.7)

    py3study
  • Centos 6.4 python 2.6 升级到 2.7

    Java学习123
  • 学计算机的男生发这个给我看是什么意思?

    今天知乎热榜上出现了一个非常有意思的话题,某个女生收到了男生的一个用Python程序打印出来的爱心,问是何意思。

    老肥码码码
  • Android与Python混合编程

    早在2017年的时候,出于业余兴趣,我就开始研究关于Python移植到Android上的实现方案,我一直希望能实现Android与Python的混合编程,并为此...

    arcticfox

扫码关注云+社区

领取腾讯云代金券